package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/editTemplate whatsapp EditWhatsappTemplate
//
// 编辑模板
//
// 编辑模板
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: editTemplateReq
//
// Responses:
//  200: BaseDataInfo

func EditWhatsappTemplateHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.EditTemplateReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewEditWhatsappTemplateLogic(r.Context(), svcCtx)
		resp, err := l.EditWhatsappTemplate(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
